# log4cplus::thread Namespace Reference

## Compounds

class | AbstractThread
| There are many cross-platform C++ Threading libraries. More...
class | Guard
| This is used to lock a mutex. More...

## Functions

LOG4CPLUS_EXPORT void | yield ()
LOG4CPLUS_EXPORT log4cplus::tstring | getCurrentThreadName ()

## Function Documentation

LOG4CPLUS_EXPORT log4cplus::tstring getCurrentThreadName | ( |  | ) |

LOG4CPLUS_EXPORT void yield | ( |  | ) |